import { z } from "zod";

/**
 * Environment variables
 */
export const env = {
	RUNTIME_ENVIRONMENT: z.enum(["prod", "dev"]).parse(process.env.RUNTIME_ENVIRONMENT),
	DB_PATH: process.env.DB_PATH || "db/sqlite.db", // Support environment variable or use default
	DB_JSON_PATH: process.env.DB_JSON_PATH || "db/db.json", // JSON fallback database path
	OAUTH: {
		CLIENT_ID: z.string().parse(process.env.OAUTH_CLIENT_ID),
		CLIENT_SECRET: z.string().parse(process.env.OAUTH_CLIENT_SECRET),
	},
};
